
@import "./variables.less";
@import "./ckeditor5.less";


.header_button {
    margin-top:2px;
    background-color: #fff !important;
    border-color: #dbdbdb;
    border-width: 1px;
    color: #363636;
    cursor: pointer;
    justify-content: center;
    text-align: center;
    white-space: nowrap;
    padding:1px 3px 1px 3px;
}

.header_button:hover, .btn-info.active {
    border-color: black;
    background-color: #fff !important;
    border-color: #dbdbdb;
    border-width: 1px;
    color: #363636 !important;
  
  }


.bg_color-first {
    background-color: @first;
}
.bg_color-first:hover, .bg_color-first:active, .bg_color-first:focus {
    background-color: @first !important;
    opacity: .7;
}

.bg_color-second {
    background-color: @second;
}
.bg_color-second:hover, .bg_color-second:active, .bg_color-second:focus {
    background-color: @second !important;
}

.bg_color-second-outlined {
    background-color: white !important;
    border-color: @second !important;
    color: @second !important;
}
.bg_color-second-outlined:hover, .bg_color-second-outlined:active, .bg_color-second-outlined:focus {
    background-color: @second !important;
    color: white !important;
}

.bg_color-first-outlined {
    background-color: white !important;
    border-color: @first !important;
    color: @first !important;
}
.bg_color-first-outlined:hover, .bg_color-first-outlined:active, .bg_color-first-outlined:focus {
    background-color: @first !important;
    color: white !important;
}

.text-primary {
    color: @second !important;
}

:root {
    --primary:@second !important;

}
  

  
.text-first{color: @first;}
.text-second{color: @second;}
.custom-control-input:checked~.custom-control-label::before{
    border-color: @first;
    background-color: @first;
}

.justify{ text-align: justify;}
.italic{ font-style: italic;}
.uppercase { text-transform: uppercase;}
.bold{ font-weight: bold;}
.pointer{ cursor: pointer;}
.font_size_13{font-size: 13px;}
.font_size_15{font-size: 15px;}
.font_size_18{font-size: 18px;}
.font_size_22{font-size: 22px;}

.container-form{
    padding: 15px;
    position: relative;
    height: calc(100% - 37px);
    overflow-y: auto;

    .button-bottom{
        position: absolute;
        bottom: 0;
        width: 100%;
    }
}

.popover{
    z-index: 2060;
}
.popover-header{
    background-color: rgb(208, 208, 208);
}
.div_title{
    text-transform: uppercase;
    font-size: 18px;
    background-color: @first;
    padding: 8px;
    color: white;
    margin: 0;
}
h4{
    font-size: 18px;
    color: @second;
    margin-bottom: 16px;
    border-bottom : 1px dotted @second;
}

.tooltip .tooltip-inner{
    background-color: @first;
}
.bs-tooltip-top .arrow::before{
    border-top-color: @first;    
}
.bs-tooltip-right .arrow::before{
    border-right-color: @first;
}
.bs-tooltip-left .arrow::before{
    border-left-color: @first;
}
.bs-tooltip-bottom .arrow::before{
    border-bottom-color: @first;
}

.plugin_container button, .toolbar-container button{
    background-color: white;
    border-radius: 0px;
    padding: 4px 8px;
}

.truncate {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    position: relative;
}

.carousel-caption{
    background-color: rgba(128, 128, 128, 0.8) !important;
    padding: 10px 0px !important;
    border-radius: 15px !important;
    text-shadow: 1px 1px 2px #333;
}
.page-link{
    color: @first !important;
}
.page-item.active .page-link{
    background-color: @first !important;
    border-color: @first !important;
    color: white !important;
}

#app-header {
    background-color: @first;
    .navbar {
        padding: 0;
        .navbar-toggler {
            border: none;
            font-size: 1.5rem;
        }
        .navbar-brand {
            cursor: pointer;
            padding: 0;
            img {
                max-height: 40px;
                margin: 5px 1rem;
            }
        }
        .navbar-nav {
            align-items: center;
            .nav-item {
                height: 100%;
                text-align: center;

                .text-second .dropdown-item{
                    color: @second !important;
                }

                .nav-link {
                    color: @light-first !important;
                    white-space: nowrap;
                    padding-left: .5rem;
                    padding-right: .5rem;
                }
                .nav-link.active {
                    font-weight: bold;
                    text-shadow: 0 0 1px @light-first;
                    box-shadow: -1px 4px 0px -2px @light-first;
                }
                .nav-link:hover{
                    color: @light-first;
                }
            }
        }
    }
}

.custom-tabs {
    color: @first !important;
    border: none !important;
}
ul.nav-tabs li {
    position: relative;
}
ul.nav-tabs li a.nav-link {
    padding-right: 0;
    padding-left: 0;
}
.custom-tabs.active {
    color: #da322f !important;
}
.custom-tabs.active::after {
    transition: width .3s;
    width: 100%;
}
.custom-tabs::after {
    content: "";
    display: block;
    height: 3px;
    background: #da322f;
    width: 0;
    position: absolute;
    bottom: 0;    
}

.modal-header h5{
    width: 100%;
    text-align: center;
    color: @first;
}
.modal-body{
    overflow-y: hidden !important;
    height: 80vh;
}
.modal .tab-content{
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    border-right: 1px solid #dee2e6;
    border-left: 1px solid #dee2e6;
    border-bottom: 1px solid #dee2e6;
    padding: 0px 15px;
}

#modal-lg {
    .modal-title {
        font-weight: bold;
    }
    .result_header {
        display: flex;
        justify-content: space-between;
        position: sticky;
        top: 0;
        > h4, input {
            margin: .5em;
        }
    }
    .result_header, .result_footer {
        background-color: white;
        z-index: 1;
    }
    .result_footer {
        bottom: 0;
        padding: .5em 0;
        position: absolute;
        width: calc(100% - 2.5rem);
        left: 1.25rem;
    }
    .result_title{
        color:@first;
        display: flex;
        align-items: center;
        justify-content: space-between;
        border: none;
        white-space: nowrap;
    }
    .resultItem{
        border-radius: 2px;
        box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
        margin:15px;
        padding:10px;
        cursor:pointer;
    }
    .resultItem:nth-child(even){
        background-color: rgba(130, 33, 115, 0.1);
    }
    
    .resultItem.selected{
        background-color: @first;
        color:white;
    }

    #basemap {
        .thumbnail-wrapper {
            box-shadow: 1px 2px 10px 0px rgba(0, 0, 0, 0.25);
            transition: box-shadow .2s ease;
            margin-bottom: 1em;
        }
        .thumbnail-wrapper:hover {
            box-shadow: 2px 3px 14px 2px rgba(0, 0, 0, 0.25);
            cursor: pointer;
        }
        .img-thumbnail {
            padding: 0;
            border: none;
        }
    }
}

.image_resized img{
    width:100%;
}

.line-header {
    color: @second;
    font-size: 18px;
    text-transform: uppercase;
    margin-top: 24px;
    margin-bottom: 15px;

    line-height: 1.5;
    img {
        width: 1.2em;
        height: 1.2em;
        padding-bottom: 0.15em;
    }
}


.resultLayer table, .resultLayer  th, .resultLayer  td{
    border: 1px solid #737373 !important;
    cursor: help;
}
.resultLayer .table td, .resultLayer .table th {
    padding: 2px 5px !important;
}

.line-header:after {
    content:"";
    display: inline-block;
    vertical-align: baseline;
    width: 100%;
    margin-right: -100%;
    margin-left: 10px;
    border-top: 1px dotted @second !important;
}

.ol-scale-line{
    position: unset !important;
    background: rgba(0,60,136,0.8);
}
.ol-scale-line-inner{
    color:white;
    border: 1px solid white;
    border-top: none;
}
.ol-scale-bar{
    position: unset !important;
}


#popup-content{
    max-width: 400px;
    overflow: hidden;
}

body{
    background-color: #f2f2f2;
}

.ol-popup {
    position: absolute;
    background-color: white;
    box-shadow: 0 1px 4px rgba(0,0,0,0.2);
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #498fcc;
    bottom: 12px;
    left: -50px;
    width: max-content;
}
.ol-popup:after, .ol-popup:before {
    top: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}
.ol-popup:after {
    border-top-color: white;
    border-width: 10px;
    left: 48px;
    margin-left: -10px;
}
.ol-popup:before {
    border-top-color: #498fcc;
    border-width: 11px;
    left: 48px;
    margin-left: -11px;
}